function err_est = getErrEst_decomp2(RB, mu, u_apprCoeffs)
  
  % Evaluate each lhs_theta at mu
  lhs_thetavec = cellfun(@(c) c(mu), {RB.pre.lhs.theta});

  riesznorm_coeffs = [];
  if length(u_apprCoeffs)>0 
    riesznorm_coeffs = lhs_thetavec' * u_apprCoeffs';
    riesznorm_coeffs = [RB.pre.rhs.theta(mu); riesznorm_coeffs(:)];
  else
    riesznorm_coeffs = [RB.pre.rhs.theta(mu)];  
  end
 
  n = length(u_apprCoeffs);
  maxind = size(RB.pre.rhs.theta,2) + n*size(RB.pre.lhs,2);
  
  err_est = max(riesznorm_coeffs'*RB.innProdRieszReprs(1:maxind, 1:maxind)*riesznorm_coeffs,0);
      
  err_est = sqrt(err_est)/getAlpha_LB(mu, RB.innProd);
  